Package org.kie.api.runtime.conf

## Class WorkItemHandlerOption

- java.lang.Object
- - org.kie.api.runtime.conf.WorkItemHandlerOption

- All Implemented Interfaces:
    `java.io.Serializable`, `MultiValueOption`, `Option`, `KieSessionOption`, `MultiValueKieSessionOption`

      public class WorkItemHandlerOption
      extends java.lang.Object
      implements MultiValueKieSessionOption

  WorkItemHandlers configuration option
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PROPERTY_NAME` | The prefix for the property name for work item handlers

    - ### Fields inherited from interface org.kie.api.runtime.conf.KieSessionOption

      `TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `static WorkItemHandlerOption` | `get​(java.lang.String name, WorkItemHandler handler)` | This is a factory method for this WorkItemHandler configuration.
    `WorkItemHandler` | `getHandler()` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getPropertyName()`
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.runtime.conf.KieSessionOption

      `type`

    - ### Methods inherited from interface org.kie.api.conf.Option

      `propertyName`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      The prefix for the property name for work item handlers
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### get

          public static WorkItemHandlerOption get​(java.lang.String name,
                                                  WorkItemHandler handler)

      This is a factory method for this WorkItemHandler configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.
      Parameters:
        `name` - the name of the work item handler to be configured
      Returns:
        the actual type safe work item handler configuration.

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Specified by:
        `getPropertyName` in interface `Option`
      Returns:
        the property name for this option

    - #### getName

          public java.lang.String getName()

      Returns:
        the name of the configured work item handler

    - #### getHandler

          public WorkItemHandler getHandler()

      Returns:
        the work item handler instance

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`